using System;
using System.Windows;

internal sealed class Delegate520 : MulticastDelegate
{
	public extern void Invoke(object object_0, DependencyPropertyChangedEventHandler dependencyPropertyChangedEventHandler_0);

	public static void smethod_0(object object_0, DependencyPropertyChangedEventHandler dependencyPropertyChangedEventHandler_0, Delegate520 delegate520_1)
	{
		delegate520_1(object_0, dependencyPropertyChangedEventHandler_0);
	}

	public extern Delegate520(object object_0, IntPtr intptr_0);

	static Delegate520()
	{
		Class10.smethod_13(typeof(Delegate520).TypeHandle);
	}

	internal static Delegate520 delegate520_0;
}
